Package Details: etlegacy-mod 2.76-1

Git Clone URL: https://aur.archlinux.org/etlegacy.git (read-only)
Package Base: etlegacy
Description: Wolfenstein: Enemy Territory 2.60b compatible client/server (etlegacy mod)
Upstream URL: http://www.etlegacy.com/
Licenses: custom, GPL3
Submitter: vorot93
Maintainer: The_Loko
Last Packager: The_Loko
Votes: 15
Popularity: 0.041517
First Submitted: 2015-08-17 02:35
Last Updated: 2019-01-14 11:04

Latest Comments

The_Loko commented on 2019-01-17 22:36

I'm currently getting the segfault too, I'm looking into it.

It seems to happen on debug mode too.

niezniszczalny commented on 2019-01-17 18:23

ok, it found 2.75 configuration. Now I removed etlegacy once again, removed everything from /home/.etlegacy, installed etlegacy again and:

Sys_LoadGameDll -> FS_CL_ExtractFromPakFile(/home/kujaw/.etlegacy, legacy, ui.mp.x86_64.so)
Sys_LoadDll(/home/kujaw/.etlegacy/legacy/ui.mp.x86_64.so)... succeeded
Sys_LoadDll(legacy/ui) found vmMain function at 0x7fe0bd8c8b90
Initializing Legacy ui v2.76
149 UI cvars in use.
Segmentation fault (core dumped)

niezniszczalny commented on 2019-01-17 18:03

I removed previous etlegacy and installed this one and I get the error:

Sys_LoadGameDll -> FS_CL_ExtractFromPakFile(/home/kujaw/.etlegacy, legacy, ui.mp.x86_64.so)
Sys_LoadDll(/home/kujaw/.etlegacy/legacy/ui.mp.x86_64.so)... succeeded
Sys_LoadDll(legacy/ui) found vmMain function at 0x7f4edba090f0
Initializing Legacy ui v2.75
145 UI cvars in use.
Segmentation fault (core dumped)

wojtex commented on 2019-01-14 21:16

If it crashes on startup build package with debug mode enabled (CMAKE_BUILD_TYPE=Debug").

Lucki commented on 2018-01-24 20:39

libtheora is missing as a dependency.

CMake Error at /usr/share/cmake-3.10/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
  Could NOT find Theora (missing: THEORA_LIBRARY THEORA_INCLUDE_DIR)
Call Stack (most recent call first):
  /usr/share/cmake-3.10/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
  cmake/FindTheora.cmake:50 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  cmake/ETLSetupFeatures.cmake:177 (find_package)
  CMakeLists.txt:144 (include)

niezniszczalny commented on 2017-08-23 16:11

@The_Loko: -git package works for me, thanks for advice.

The_Loko commented on 2017-07-02 08:42

niezniszczalny: I'm looking for a solution, anyway I would use the -git package. This one mixes dynamic libs with the binary mod, maybe it would be better to create a -bin package with both the binary files of the game and mod.

niezniszczalny commented on 2017-06-26 09:17

I've just installed it from aur and get the error:

[code]
$ etl
ET Legacy 2.75-dirty linux-x86_64 Jun 26 2017
Zone megs: 64
Info: fs_game now defaults to 'legacy' mod instead of 'etmain'
----- FS_Startup -----
Current search path:
/home/kujaw/.etlegacy/legacy
/usr/lib/etlegacy/legacy
/usr/lib/etlegacy/legacy/pak3_v2.75.pk3 (951 files)
/usr/lib/etlegacy/legacy/etl_bin_v2.75.pk3 (8 files)
/home/kujaw/.etlegacy/etmain
/usr/lib/etlegacy/etmain
/usr/lib/etlegacy/etmain/pak2.pk3 (22 files)
/usr/lib/etlegacy/etmain/pak1.pk3 (10 files)
/usr/lib/etlegacy/etmain/pak0.pk3 (3725 files)

----------------------
4716 files in pk3 files
execing default.cfg
couldn't exec autoexec.cfg
Hunk_Clear: reset the hunk ok
Not logging server attacks to disk.
----- Client Initialization -----
----- Initializing Renderer ----
Trying to load "librenderer_opengl1_x86_64.so" from "."...
Trying to load "librenderer_opengl1_x86_64.so" from "/usr/lib/etlegacy"...
Loading "librenderer_opengl1_x86_64.so" failed
failed:
"Failed loading /usr/lib/etlegacy/librenderer_opengl1_x86_64.so: /usr/lib/etlegacy/librenderer_opengl1_x86_64.so: undefined symbol: _ZGVbN2vv___pow_finite"
----- CL_Shutdown -----
-----------------------
SQLite3 can't close db - not active.
Failed to load renderer lib
Sys_Exit warning - PID file doesn't exist /home/kujaw/.etlegacy/legacy/profiles//profile.pid
[/code]

Spyhawk commented on 2015-11-05 18:41

skybon> I see I am listed as (co-)maintainer. As I don't intend to maintain these packages in any way, would it be possible to remove me from this role?

RazZziel commented on 2015-09-07 17:17

Would it be possible to have i686 support?